Crypto++

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Types | Public Member Functions | Protected Member Functions | Protected Attributes
CFB_DecryptionTemplate< BASE > Class Template Reference
Inheritance diagram for CFB_DecryptionTemplate< BASE >:

List of all members.

## Public Types

typedef BASE::PolicyInterface | PolicyInterface

## Public Member Functions

void | ProcessData (byte *outString, const byte *inString, size_t length)
void | Resynchronize (const byte *iv, int length=-1)
unsigned int | OptimalBlockSize () const
unsigned int | GetOptimalNextBlockSize () const
unsigned int | OptimalDataAlignment () const
bool | IsRandomAccess () const
bool | IsSelfInverting () const

## Protected Member Functions

void | UncheckedSetKey (const byte *key, unsigned int length, const NameValuePairs &params)

## Protected Attributes

size_t | m_leftOver

## Detailed Description

### template<class BASE = AbstractPolicyHolder<CFB_CipherAbstractPolicy, SymmetricCipher>>
class CFB_DecryptionTemplate< BASE >

Definition at line 263 of file strciphr.h.

The documentation for this class was generated from the following file:

- strciphr.h